Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 377880 - message level="ephemeral" not working on branch
: message level="ephemeral" not working on branch
: fixed1.8.0.12, fixed1.8.1.4
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: 1.8 Branch
: All All
: -- normal (vote)
: ---
Assigned To: aaronr
: Stephen Pride
Depends on:
Blocks: 353738
  Show dependency treegraph
Reported: 2007-04-18 07:04 PDT by Steve Speicher
Modified: 2016-07-15 14:46 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---

test case (2.47 KB, application/xhtml+xml)
2007-04-18 07:05 PDT, Steve Speicher
no flags Details
patch (6.07 KB, patch)
2007-04-26 17:45 PDT, aaronr
no flags Details | Diff | Splinter Review
patch (4.30 KB, patch)
2007-04-26 17:53 PDT, aaronr
no flags Details | Diff | Splinter Review
patch2 (5.09 KB, patch)
2007-04-27 15:37 PDT, aaronr
bugs: review+
doronr: review+
Details | Diff | Splinter Review

Description Steve Speicher 2007-04-18 07:04:56 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv: Gecko/20070309 Firefox/
Build Identifier: 

This works on 4-17 trunk but can't get the 4-17 1.8 branch version to work.

This is normative W3C test case 10.1.12.c

Reproducible: Always
Comment 1 Steve Speicher 2007-04-18 07:05:28 PDT
Created attachment 261944 [details]
test case
Comment 2 aaronr 2007-04-19 03:24:05 PDT
a bit of this was that the patch for bug 349643 wasn't marked to get moved to the branch so the QI to nsIXFormsEphemeralMessageUI failed in nsXFormsMessageElement::ShowEphemeral().  But even after I apply the patch and fixed it up to fit on the branch, the QI is still failing.  Looking at the XBL bindings in the DOMInspector it looks like the right hierarchy is applied so the QI should work.  But the anonymous content isn't in DOMInspector so something is going wrong somewhere.  ugh, I hope this isn't another xbl bug that got fixed in the trunk but not on the branch.
Comment 3 aaronr 2007-04-26 17:45:31 PDT
Created attachment 262964 [details] [diff] [review]

The problem turned out to be that since xf:action contains xf:message and xf:action ISN'T inherited from nsIXTFBindableElement, then that would prevent any XBL that is supposed to bind to the xf:message from actually attaching.  But if that same xf:message were outside of an xf:action, it would work fine.  This patch fixes the problem by making nsXFormsActionElement inherit from nsXFormsBindableControlStub.  I don't know if that is the right answer, though.  Perhaps we should move the Get/Set/UpdateRepeatState from nsXFormsBindableControlStub into nsXFormsBindableStubElement and have nsXFormsActionElement inherit from that.
Comment 4 aaronr 2007-04-26 17:48:35 PDT
Comment on attachment 262964 [details] [diff] [review]

bah, problem with the patch.  Had part of another patch in it.
Comment 5 aaronr 2007-04-26 17:53:51 PDT
Created attachment 262967 [details] [diff] [review]

this one will work
Comment 6 aaronr 2007-04-27 12:35:50 PDT
Doesn't make sense to move Get/Set/UpdateRepeatState to nsXFormsBindableStub since they need mHasParent and mHasDoc, which are also needed by nsXFormsControlStubBase which doesn't inherit from nsXFormsBindableStub.  So I'll make nsXFormsActionElement inherit from nsXFormsBindableControlStub and override the parts of nsXFormsControlStubBase, etc. that don't make sense for nsXFormsActionElement.  For example, GetUsesSingleNodBinding is certainly not PR_TRUE for action element.
Comment 7 aaronr 2007-04-27 15:37:12 PDT
Created attachment 263055 [details] [diff] [review]

action has no binding attrs so most of the functions inherited via nsXFormsControlStubBase won't apply to it so I think we are safe not stubbing them all out.  Action should manage its own mHasParent and mHasDoc because calling into parent class' ::ParentChanged and ::DocumentChanged adds overhead that it doesn't need.  Dropped mElement from nsXFormsActionElement since it will pick it up from nsXFormsControlStubBase, now.
Comment 8 aaronr 2007-05-01 09:38:30 PDT
checked into 1.8 and 1.8.0 branches

Note You need to log in before you can comment on or make changes to this bug.